## android-platform-system-core 8.1.0+r23

=== debian/changelog ===
android-platform-system-core (1:8.1.0+r23-5~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1819448.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Mar 2019 08:40:52 +0100

android-platform-system-core (1:8.1.0+r23-5) unstable; urgency=medium

  * Depends: android-platform-system-core-headers for symlinked headers
    (Closes: #924159)
  * fastboot Recommends: android-sdk-platform-tools for mke2fs
    (Closes: #924591)
  * add lintian-overrides for test data .so binaries

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 18 Mar 2019 10:49:41 +0000

android-platform-system-core (1:8.1.0+r23-4) unstable; urgency=medium

  * Use my Debian account in Uploaders
  * stdatomic.patch: Expose more symbols (Closes: #914685)
  * ENODATA-BSD.patch: Fix FTBFS on kFreeBSD

 -- Kai-Chung Yan <seamlik@debian.org>  Sat, 01 Dec 2018 11:41:53 +0800

android-platform-system-core (1:8.1.0+r23-3) unstable; urgency=medium

  * Apply `-UDEBUG` to all compilations. This was spotted during my
    investigation into AOSP's build system.
  * Turn #error into exceptions on an unknown OS so the package can be built on
    non-Linux platforms as well, such as GNU hurd and FreeBSD.
  * Do not build C programs with a C++ compiler.
  * Move all debhelper plugins out of Build-Depends-Arch (Closes: #913144)
  * Rewrite stdatomic.patch so that it becomes self-contained.

 -- Kai-Chung Yan <seamlikok@gmail.com>  Thu, 15 Nov 2018 15:08:21 +0800

android-platform-system-core (1:8.1.0+r23-2) unstable; urgency=medium

  * Move all Build-Depends to Build-Depends-Arch for there are several arch:all
    packages after all
  * Enable the following components to build on all architectures:
    * android-sdk-libsparse-utils
    * libbase
    * libcutils
    * liblog
    * libsparse
  * New packages for libnativebridge and libnativeloader as <!stage1> components

 -- Kai-Chung Yan <seamlikok@gmail.com>  Thu, 01 Nov 2018 17:54:58 +0800

android-platform-system-core (1:8.1.0+r23-1) unstable; urgency=medium

  * Full upload (with fastboot) (Closes: #911262)
  * Remove unused build-dependencies after investigating fastboot:
    * libext4_utils
    * libselinux
    * libsepol
    * librt
    * libdl
  * Annotate with `Multi-Arch: foreign`:
    * android-sdk-libsparse-utils
    * adb
    * fastboot

 -- Kai-Chung Yan <seamlikok@gmail.com>  Mon, 22 Oct 2018 18:54:43 +0800

android-platform-system-core (1:8.1.0+r23-1~stage1.3) unstable; urgency=medium

  * Release to unstable
  * Fix build failure with latest glibc 2.28 (thanks to Dimitri John Ledkov)
  * Break all versions of android-tools-fsutils as it's fully replaced now
  * img2simg as a transitional packages now breaks no package
  * Break the correct version of android-tools-mkbootimg
  * (Next time we should make it like XXX~stage1+3)

 -- Kai-Chung Yan <seamlikok@gmail.com>  Wed, 17 Oct 2018 17:54:43 +0800

android-platform-system-core (1:8.1.0+r23-1~stage1.2) experimental; urgency=medium

  * Remove android-libadb-dev from MIPS. This finally fixes the FTBFS on MIPS.

 -- Kai-Chung Yan <seamlikok@gmail.com>  Sat, 22 Sep 2018 17:51:27 +0800

android-platform-system-core (1:8.1.0+r23-1~stage1.1) experimental; urgency=medium

  * Do not build anything depending on BoringSSL when building on MIPS
    * Do not build-depend on Pandoc or libusb when building on MIPS
  * Standards-Version => 4.2.1
  * libadb: Link against libatomic so that the build won't fail on armel

 -- Kai-Chung Yan <seamlikok@gmail.com>  Tue, 18 Sep 2018 21:26:29 +0800

android-platform-system-core (1:8.1.0+r23-1~stage1) experimental; urgency=medium

  * Fix FTBFS with GCC-7 (Closes: #853310)
  * Upgrade to Standards-Version 4.1.5
  * Drop MIPS support on ADB because of BoringSSL
  * Upgrade to debhelper 11
  * New package `mkbootimg` replacing `android-tools-mkbootimg`

  [ Hans-Christoph Steiner ]
  * Update bash completion
  * Remove repeated phrase from adb man page (Closes: #881349)
  * Switch to Salsa

  [ Umang Parmar]
  * New upstream release
  * Stage 1 release (without fastboot)
  * New binary packages for libcrypto_utils

  [ Saif Abdul Cassim ]
  * Fix FTCBFS thanks to Helmut Grohne (Closes: #852734)
  * New package android-sdk-libsparse-utils providing / replacing:
    * append2simg
    * img2simg
    * simg_dump
    * simg2img
    * simg2simg
    * Available on x86, ARM, MIPS (Closes: #895601)

 -- Kai-Chung Yan <seamlikok@gmail.com>  Sun, 12 Aug 2018 01:37:02 +0800
