=== debian/tests/control ===
Test-Command: adb help && ls -l /usr/lib/*/android/libcutils.so /usr/include/android/cutils/*.h
