## android-platform-system-core 8.1.1-1%2Br23-5.4

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,8 @@
 endif
 
 # Whatever depends on BoringSSL must be disabled on MIPS
-NON_MIPS_COMPONENTS = adb libadb.so libcrypto_utils.so fastboot
+# NON_MIPS_COMPONENTS = adb libadb.so libcrypto_utils.so fastboot
+NON_MIPS_COMPONENTS = fastboot
 ifneq ($(filter mips mipsel mips64el,$(DEB_HOST_ARCH)),)
   COMPONENTS := $(filter-out $(NON_MIPS_COMPONENTS),$(COMPONENTS))
 endif
