## android-platform-system-core 8.1.1-1+r23-5.4

=== debian/changelog ===
android-platform-system-core (1:8.1.1-1+r23-5.4-1+eagle) unstable; urgency=low

  * ['Autobuild release-candidate: e31d55a2ffdbe7938aa74813be30a02276f8b5b1']

 -- shuttle <shuttle@deepin.com>  Wed, 08 Jul 2020 17:39:03 +0000
