=== debian/control ===
--- 
+++ 
@@ -12,14 +12,14 @@
  dh-exec,
  dpkg-dev (>= 1.17.14)
 Build-Depends-Arch:
- android-libboringssl-dev [amd64 i386 armel armhf arm64],
+ android-libboringssl-dev [amd64 i386 armel armhf arm64 mips64el],
  android-libf2fs-utils-dev (>= 8.1.0+r23~) [amd64 i386 armel armhf arm64] <!stage1>,
  android-libnativehelper-dev (>= 8.1.0+r23) [amd64 i386 armel armhf arm64 mips mipsel mips64el] <!stage1>,
  android-libunwind-dev (>= 8.1.0+r23~) [amd64 i386 armel armhf arm64 mips mipsel mips64el],
- libgtest-dev [amd64 i386 armel armhf arm64] <!stage1>,
+ libgtest-dev [amd64 i386 armel armhf arm64 mips64el] <!stage1>,
  libsafe-iop-dev [amd64 i386 armel armhf arm64 mips mipsel mips64el],
- libusb-1.0-0-dev [amd64 i386 armel armhf arm64],
- pandoc [amd64 i386 armel armhf arm64],
+ libusb-1.0-0-dev [amd64 i386 armel armhf arm64 mips64el],
+ pandoc [amd64 i386 armel armhf arm64 mips64el],
  zlib1g-dev [any]
 Standards-Version: 4.2.1
 Homepage: https://android.googlesource.com/platform/system/core
@@ -100,7 +100,7 @@
  This package contains the development files.
 
 Package: adb
-Architecture: amd64 i386 armel armhf arm64
+Architecture: amd64 i386 armel armhf arm64 mips64el
 Multi-Arch: foreign
 Depends: android-libadb (= ${binary:Version}),
          ${shlibs:Depends},
@@ -214,7 +214,7 @@
 
 Package: android-libadb
 Section: libs
-Architecture: amd64 i386 armel armhf arm64
+Architecture: amd64 i386 armel armhf arm64 mips64el
 Depends: android-libbase (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
@@ -225,7 +225,7 @@
 
 Package: android-libadb-dev
 Section: libdevel
-Architecture: amd64 i386 armel armhf arm64
+Architecture: amd64 i386 armel armhf arm64 mips64el
 Depends: android-libadb (= ${binary:Version}),
          android-liblog-dev (= ${binary:Version}),
          ${misc:Depends}
@@ -262,7 +262,7 @@
 
 Package: android-libcrypto-utils
 Section: libs
-Architecture: amd64 i386 armel armhf arm64
+Architecture: amd64 i386 armel armhf arm64 mips64el
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Android crypto-utils library
  This library provides utility APIs for cryptography.
@@ -335,5 +335,3 @@
 Package: fastboot
 Architecture: amd64 i386 armel armhf arm64
 Multi-Arch: foreign
-Build-Profiles: <!stage1>
-Depends: ${shlibs:Depends}, ${misc:Depends}
