## android-platform-system-core 10.0.0%2Br36

=== debian/changelog ===
android-platform-system-core (1:10.0.0+r36-7) unstable; urgency=medium

  * Team upload.
  * set adb/fastboot Depends: to ensure udev rules are installed

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 19 Jan 2021 21:09:43 +0100

android-platform-system-core (1:10.0.0+r36-6) unstable; urgency=medium

  * Team upload.
  * debian/control:
    - Remove B-D android-libart.
  * debian/rules:
    - Make use of gcc if clang is not available.
  * debian/{adb,fastboot}.mk:
    - Add -latomic linking of adb/fastboot on armel and mipsel.

 -- Roger Shimizu <rosh@debian.org>  Fri, 08 Jan 2021 01:39:42 +0900

android-platform-system-core (1:10.0.0+r36-5) unstable; urgency=medium

  * Team upload.
  * libbacktrace and libutils need -latomic on armel and mipsel

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 06 Jan 2021 09:41:55 +0100

android-platform-system-core (1:10.0.0+r36-4) unstable; urgency=medium

  * Team upload.
  * use gold for linking fastboot, like upstream does
  * fix fastboot's link to libunwind's lib7z.so (Closes: #979329)
  * Team package, remove myself from Uploaders:

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 05 Jan 2021 17:53:37 +0100

android-platform-system-core (1:10.0.0+r36-3) unstable; urgency=medium

  * Team upload.
  * Revert: Remove B-D on android-libart and skip building fastboot.
  * debian/tests:
    - Add "adb kill-server" before adb test to make it more robust,
      and add allow-stderr to Restrictions.
    - Test command "adb mdns check" does not work, so use "adb keygen"
      instead.
    - Add Depends to each test command.
  * debian/control:
    - Bump up B-D android-libart on 10.0.0+r36-1~stage1.5~

 -- Roger Shimizu <rosh@debian.org>  Mon, 04 Jan 2021 17:26:05 +0900

android-platform-system-core (1:10.0.0+r36-3~stage1.2) unstable; urgency=medium

  * Upload to unstable.
    - Still in stage1 since fastboot is dummy.

 -- Roger Shimizu <rosh@debian.org>  Fri, 01 Jan 2021 21:51:06 +0900

android-platform-system-core (1:10.0.0+r36-3~stage1.1) experimental; urgency=medium

  * Remove B-D on android-libart and skip building fastboot, for
    bootstrapping android-platform-art.

 -- Roger Shimizu <rosh@debian.org>  Fri, 01 Jan 2021 21:03:35 +0900

android-platform-system-core (1:10.0.0+r36-3~stage1) experimental; urgency=medium

  * Team upload.
  * Go stage1 again to make android-platform-art build on arm* and i386.
  * debian/fastboot.mk:
    - Add "-D_FILE_OFFSET_BITS=64" to CPPFLAGS to fix ftbfs on 32-bit
      systems.
  * debian/*.mk:
    - Remove duplicated "-fPIC" and "-I/usr/include/android".
    - Remove unnecessary linking libraries from LDFLAGS.
  * Move all .so to library packages, so all -dev packages change from
    "any" to "all".
  * debian/gitlab-ci:
    - Allow running on dev branches.

 -- Roger Shimizu <rosh@debian.org>  Fri, 01 Jan 2021 18:19:06 +0900

android-platform-system-core (1:10.0.0+r36-2) unstable; urgency=medium

  * fix dexfile support and related linker errors

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 31 Dec 2020 17:29:37 +0100

android-platform-system-core (1:10.0.0+r36-1) unstable; urgency=medium

  * android-libunwind-dev < 10.0.0+r36-4~ was broken
  * get fastboot building (Closes: #976718)

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 08 Dec 2020 11:12:50 +0100

android-platform-system-core (1:10.0.0+r36-1~stage1.3) unstable; urgency=medium

  * remove tests that don't work on stage1

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 03 Dec 2020 12:02:40 +0100

android-platform-system-core (1:10.0.0+r36-1~stage1.2) unstable; urgency=medium

  * build libunwindstack as part of libbacktrace
  * remove hard to build files from libunwindstack
  * get adb building
  * use fastboot placeholder for stage 1.2

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 27 Nov 2020 17:46:13 +0100

android-platform-system-core (1:10.0.0+r36-1~stage1.1) unstable; urgency=medium

  * add bug tracker to upstream metadata
  * fix build on non-x86
  * build everything with clang and -std=gnu++17

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 24 Nov 2020 23:51:52 +0100

android-platform-system-core (1:10.0.0+r36-1~stage1) unstable; urgency=medium

  * New upstream version
  * remove adb+fastboot from stage1 for easier building
  * mark Debian-specific patches with Forwarded: not-needed
  * add more tests of command line functions (Closes: #969801)
  * fix manpage formatting (Closes: #932140)

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 24 Nov 2020 11:08:31 +0100

android-platform-system-core (1:8.1.0+r23-8) unstable; urgency=medium

  * Pass -fcommon to unbreak build with GCC 10 (Closes: #956996)

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 08 Oct 2020 19:15:17 +0200

android-platform-system-core (1:8.1.0+r23-7) unstable; urgency=medium

  * Team upload.
  * debian/control:
    - Bump debhelper version to 12.
    - Bump policy version to 4.5.0 (no change).
    - Fix typo in binary package description, that it should be simg2img
      instead of simgimg. Thanks to Jörg Sommer (Closes: #958765).
    - Add Rules-Requires-Root: no
    - Remove transitional package android-tools-adb, and
      android-tools-fastboot (Closes: #939137, #939138).
  * Update debian/.gitlab-ci.yml:
    - Replace android-tools-adb with adb for testing and sid.
  * debian/android-libcrypto-utils.lintian-overrides:
    - Add override of not linking against libc, since it's false positive.
  * debian/libcrypto_utils.mk:
    - Opt for the more strict -Wl,-z,defs test for libcrypto_utils.so,
      which does not link against libc.
  * debian/rules:
    - Add more security hardening.

 -- Roger Shimizu <rosh@debian.org>  Sat, 16 May 2020 23:27:28 +0900

android-platform-system-core (1:8.1.0+r23-6) unstable; urgency=medium

  * Team upload.
  * d/watch: Update rule to get new upstream version.
  * Remove python2 dependendy.
    Thanks to Antonio Russo's patch (Closes: #945646).
  * debian/control: Depends on python3 only.

