## android-platform-system-core 10.0.0+r36

=== debian/changelog ===
android-platform-system-core (1:10.0.0+r36-9) unstable; urgency=medium

  * Team upload.
  * debian/patches:
    - Add patch to fix ftbfs on GNU/Hurd (Closes: #915762).

 -- Roger Shimizu <rosh@debian.org>  Sun, 23 Jan 2022 02:45:51 +0900

android-platform-system-core (1:10.0.0+r36-8) unstable; urgency=medium

  * Team upload.

  [ Thorsten Scherer ]
  * debian/fastboot.1.md:
    - manpage: remove obsolete option.

  [ Mike Gerow ]
  * debian/patches:
    - Add patch to fix FTBFS in gcc-11 (Closes: #983966).

 -- Roger Shimizu <rosh@debian.org>  Fri, 21 Jan 2022 18:23:02 +0900
