## android-platform-system-core 21

=== debian/control ===
Source: android-platform-system-core
Section: devel
Priority: extra
Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
Uploaders: Stefan Handschuh <handschuh.stefan@googlemail.com>,
           Hans-Christoph Steiner <hans@eds.org>
Build-Depends: dh-exec (>= 0.2), debhelper (>=9), libbsd-dev, zlib1g-dev
Standards-Version: 3.9.6
Homepage: https://android.googlesource.com/platform/system/core
Vcs-Git: https://alioth.debian.org/anonscm/git/android-tools/android-platform-system-core.git
Vcs-Browser: http://anonscm.debian.org/cgit/android-tools/android-platform-system-core.git

Package: android-system-dev
Section: libdevel
Architecture: linux-any
Depends: ${misc:Depends},
         android-libcutils-dev (= ${binary:Version}),
Description: Android system development headers
 Headers that define various macros and data structures for the Android code.
 .
 This package contains the development files.

Package: android-liblog
Section: libs
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Android logging library
 Library providing logging capabilities to android related tools.

Package: android-liblog-dev
Section: libdevel
Architecture: linux-any
Depends: ${misc:Depends},
         libc-dev,
         android-liblog (= ${binary:Version})
Breaks: android-liblog (<< 21-4~)
Replaces: android-liblog (<< 21-4~)
Description: Android logging library - Development files
 Library providing logging capabilities to android related tools.
 .
 This package contains the development files.

Package: android-libcutils
Section: libs
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}, android-liblog
Description: Android utils library for C
 This library provides common functionalities for android related tools.

Package: android-libcutils-dev
Section: libdevel
Architecture: linux-any
Depends: ${misc:Depends},
         android-libcutils (= ${binary:Version}),
         android-liblog-dev (= ${binary:Version}),
         libbsd-dev
Breaks: android-libcutils (<< 21-4~)
Replaces: android-libcutils (<< 21-4~)
Description: Android utils library for C - Development files
 This library provides common functionalities for android related tools.
 .
 This package contains the development files.

Package: android-libzipfile
Section: libs
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Android zipfile library
 Library providing zipfile handling capabilities to android related tools.

Package: android-libzipfile-dev
Section: libdevel
Architecture: linux-any
Depends: ${misc:Depends},
         android-libzipfile (= ${binary:Version}),
         zlib1g-dev
Breaks: android-libzipfile (<< 21-4~)
Replaces: android-libzipfile (<< 21-4~)
Description: Android zipfile library - Development files
 Library providing zipfile handling capabilities to android related tools.
 .
 This package contains the development files.
