=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_shlibdeps:
	dh_shlibdeps -l$(CURDIR)/debian/android-liblog/usr/lib/android
